// Copyright (c) 2022 Giorgos Vougioukas
//
// The license can be found in the LICENSE file.

#ifndef _EUTERPE_DISK_IO_WINDOW_H_
#define _EUTERPE_DISK_IO_WINDOW_H_

#include "euterpe/definitions.h"

class RSE_DiskIOWnd
{
public:
  RSE_DiskIOWnd();
  ~RSE_DiskIOWnd();

  HWND Handle() const;

  static WDL_DLGRET ST_DiskIOWndProc(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam);

private:
  WDL_DLGRET DiskIOWndProc(UINT msg, WPARAM wparam, LPARAM lparam);
  void OnInitDialog();
  void OnDestroy();
  void OnCommand();

  HWND m_hwnd;

  UINT m_msg;
  WPARAM m_wparam;
  LPARAM m_lparam;
};

#endif // _EUTERPE_DISK_IO_WINDOW_H_
